org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotHandlerResult<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotHandlerResult<T>

Type Parameters:
  `T` - Type of the local processing result.

All Implemented Interfaces:
  Serializable

    public class SnapshotHandlerResult<T>
    extends Object
    implements Serializable

Result of local processing on the node. In addition to the result received from the handler, it also includes information about the error (if any) and the node on which this result was received.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnapshotHandlerResult(T data, @Nullable Exception err, ClusterNode node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `data()`
`@Nullable Exception` `error()`
`ClusterNode` `node()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotHandlerResult

    public SnapshotHandlerResult(@Nullable
                                 T data,
                                 @Nullable
                                 @Nullable Exception err,
                                 ClusterNode node)

Parameters:
  `data` - Result of local processing.
  `err` - Processing error.
  `node` - Processing node.

### Method Detail

#### data

    @Nullable
    public T data()

Returns:
  Result of local processing.

#### error

    @Nullable
    public @Nullable Exception error()

Returns:
  Processing error.

#### node

    public ClusterNode node()

Returns:
  Processing node.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022